Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Plugin Tiers] [Sujet principal] JeeDore

Pour échanger sur les plugins classés en catégorie "Protocoles domotiques"
Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 20:50

Davv42 a écrit :
11 juil. 2019, 20:22
Bonjour à tous,

possesseur d'un Tydom 1 dont j'hésitais à me séparer, je voudrais encourager Eli notamment dans ce développement que l'on attend depuis des années!!!
Vivement une version du plugin accessible à tous!
Petite question: pourra-t-on monitorer une alarme Tyxal+?

Cdt.
Oui c'est prévu, je vois ce sujet avec Loic74.
Je ne promets rien sur la date. J'ai consommé pas mal de temps a sortir une version pour x86/arm et les vacances arrivant...

Concernant cette fonctionnalité, je me demande, pour des raisons évidentes de sécurité, si je devrais implémenter l'activation/désactivation de l'alarme, ou faire un plugin pour ceux qui le souhaite, a méditer.

Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 11 juil. 2019, 21:37

Eli a écrit :
11 juil. 2019, 08:39
Hello,

Une nouvelle version est disponible qui inclut l'installation de .NetCore via les dependances. Ca réduit drastiquement le poids du plugin et maintenant le plugin contient la version arm et x86. Vous pouvez voir le log de l'installation de dependances dans jeedore_update (je vais le renommer car pas homogene....)
J'ai copié un docker sur mon syno pour faire un test et c'est passé nickel 8-)

Il y a bien une régression sur la synchro des équipements, mais si l'installation est fonctionnelle je vais pouvoir me pencher sur la correction de bugs et ajouter d'autres types d’équipements...

Merci @vous!

Eli.
Salut Eli,

L'installation des dépendances semble s'être bien déroulée

Code : Tout sélectionner

***************************************************************
*                 Dependencies installation                   *
***************************************************************
*Register Microsoft key and feed
wget -qO- https://packages.microsoft.com/keys/microsoft.asc
* wget -q https://packages.microsoft.com/config/debian/9/prod.list *
Install the .NET SDK
sudo apt-get install apt-transport-https
Reading package lists...
Building dependency tree...
Reading state information...
apt-transport-https is already the newest version (1.4.9).
The following packages were automatically installed and are no longer required:
libblas-common libblas3 libgfortran3 liblapack3 python3-numpy
websockify-common
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 17 not upgraded.
sudo apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.fr.debian.org/debian stretch Release
Hit:5 https://packages.microsoft.com/debian/9/prod stretch InRelease
Hit:6 https://deb.nodesource.com/node_8.x stretch InRelease
Hit:7 https://repo.mosquitto.org/debian stretch InRelease
Reading package lists...
sudo apt-get update
Reading package lists...
Building dependency tree...
Reading state information...
dotnet-sdk-2.2 is already the newest version (2.2.301-1).
The following packages were automatically installed and are no longer required:
libblas-common libblas3 libgfortran3 liblapack3 python3-numpy
websockify-common
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 17 not upgraded.
***************************************************************
*                    Installation done!                       *
***************************************************************
Mais le daemon ne se lance pas

Code : Tout sélectionner

It was not possible to find any compatible framework version
The specified framework 'Microsoft.NETCore.App', version '2.2.0' was not found.
- Check application dependencies and target a framework version installed at:
/var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86/
- Installing .NET Core prerequisites might help resolve this problem:
https://go.microsoft.com/fwlink/?LinkID=798306&clcid=0x409
- The .NET Core framework and SDK can be installed from:
https://aka.ms/dotnet-download

Code : Tout sélectionner

[2019-07-11 21:15:39][ERROR] : Impossible to launch le daemon JeeDore...
[2019-07-11 21:18:23][DEBUG] : dependancy_info...
[2019-07-11 21:18:23][DEBUG] : dependancy_install...
[2019-07-11 21:18:24][DEBUG] : dependancy_info...
[2019-07-11 21:18:24][DEBUG] : dependancy_info...
[2019-07-11 21:18:24][DEBUG] : dependancy_info...
[2019-07-11 21:18:24][DEBUG] : dependancy_info...
[2019-07-11 21:18:29][DEBUG] : dependancy_info...
[2019-07-11 21:18:29][DEBUG] : dependancy_info...
[2019-07-11 21:18:30][DEBUG] : dependancy_info...
[2019-07-11 21:18:34][DEBUG] : dependancy_info...
[2019-07-11 21:18:35][DEBUG] : dependancy_info...
[2019-07-11 21:18:35][DEBUG] : dependancy_info...
[2019-07-11 21:18:43][DEBUG] : dependancy_info...
[2019-07-11 21:18:43][DEBUG] : dependancy_info...
[2019-07-11 21:21:42][DEBUG] : chmod x86, done!
[2019-07-11 21:21:42][DEBUG] : chmod x86, done!
[2019-07-11 21:21:42][DEBUG] : Launching daemon:
[2019-07-11 21:26:43][ERROR] : Impossible to launch le daemon JeeDore...

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 21:54

@MakinaPower tu peux me donner ton environment, stp ?

Merci,

Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 11 juil. 2019, 21:58

Eli a écrit :
11 juil. 2019, 21:54
@MakinaPower tu peux me donner ton environment, stp ?

Merci,

Eli.
x86 :)

dot.net est bien installé

Code : Tout sélectionner

root@JEEDOM:/var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86# dotnet --info
SDK .NET Core (reflétant tous les global.json) :
 Version:   2.2.301
 Commit:    70d6be0814

Environnement d'exécution :
 OS Name:     debian
 OS Version:  9
 OS Platform: Linux
 RID:         debian.9-x64
 Base Path:   /usr/share/dotnet/sdk/2.2.301/

Host (useful for support):
  Version: 2.2.6
  Commit:  7dac9b1b51

.NET Core SDKs installed:
  2.2.301 [/usr/share/dotnet/sdk]

.NET Core runtimes installed:
  Microsoft.AspNetCore.All 2.2.6 [/usr/share/dotnet/shared/Microsoft.AspNetCore.All]
  Microsoft.AspNetCore.App 2.2.6 [/usr/share/dotnet/shared/Microsoft.AspNetCore.App]
  Microsoft.NETCore.App 2.2.6 [/usr/share/dotnet/shared/Microsoft.NETCore.App]

To install additional .NET Core runtimes or SDKs:
  https://aka.ms/dotnet-download

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 22:05

Merci pour ce retour complet, avec la recherche pour savoir si dotnet est bien installé

As tu reessayé de lancer daemon un peu plus tard, pas assez de temps apres l'install du sdk dotnet ?
Et si tu lances le daemon a la main ?

Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 11 juil. 2019, 22:13

Eli a écrit :
11 juil. 2019, 22:05
Merci pour ce retour complet, avec la recherche pour savoir si dotnet est bien installé

As tu reessayé de lancer daemon un peu plus tard, pas assez de temps apres l'install du sdk dotnet ?
Et si tu lances le daemon a la main ?

Eli.
Voici ELi :)

Code : Tout sélectionner

root@JEEDOM:/var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86# ./Rezolv.JeeDore.Server
It was not possible to find any compatible framework version
The specified framework 'Microsoft.NETCore.App', version '2.2.0' was not found.
  - Check application dependencies and target a framework version installed at:
      /var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86/
  - Installing .NET Core prerequisites might help resolve this problem:
      https://go.microsoft.com/fwlink/?LinkID=798306&clcid=0x409
  - The .NET Core framework and SDK can be installed from:
      https://aka.ms/dotnet-download
Je me demandais si ton image docker était pas basée sur Ubuntu ... et que les versions diffères entre ma debian 9 et ta Ubuntu ?

Code : Tout sélectionner

root@JEEDOM:/var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86# cat Rezolv.JeeDore.Server.deps.json
{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v2.2/ubuntu.16.10-x64",
    "signature": "6a1e70805aad6f347e914763a70681f716900145"
  },
  "compilationOptions": {},
  "targets": {
    ".NETCoreApp,Version=v2.2": {},
    ".NETCoreApp,Version=v2.2/ubuntu.16.10-x64": {
      "Rezolv.JeeDore.Server/1.0.0": {
        "dependencies": {
          "Newtonsoft.Json": "12.0.2",
          "Polly": "7.1.0",
          "WebSocketSharp": "1.0.0"
        },
        "runtime": {
          "Rezolv.JeeDore.Server.dll": {}
        }
      },
      "Newtonsoft.Json/12.0.2": {
        "runtime": {
          "lib/netstandard2.0/Newtonsoft.Json.dll": {
            "assemblyVersion": "12.0.0.0",
            "fileVersion": "12.0.2.23222"
          }
        }
      },
      "Polly/7.1.0": {
        "runtime": {
          "lib/netstandard2.0/Polly.dll": {
            "assemblyVersion": "7.0.0.0",
            "fileVersion": "7.1.0.0"
          }
        }
      },
      "WebSocketSharp/1.0.0": {
        "runtime": {
          "WebSocketSharp.dll": {}
        }
      }
    }
  },
  "libraries": {
    "Rezolv.JeeDore.Server/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "Newtonsoft.Json/12.0.2": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-rTK0s2EKlfHsQsH6Yx2smvcTCeyoDNgCW7FEYyV01drPlh2T243PR2DiDXqtC5N4GDm4Ma/lkxfW5a/4793vbA==",
      "path": "newtonsoft.json/12.0.2",
      "hashPath": "newtonsoft.json.12.0.2.nupkg.sha512"
    },
    "Polly/7.1.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-mpQsvlEn4ipgICh5CGyVLPV93RFVzOrBG7wPZfzY8gExh7XgWQn0GCDY9nudbUEJ12UiGPP9i4+CohghBvzhmg==",
      "path": "polly/7.1.0",
      "hashPath": "polly.7.1.0.nupkg.sha512"
    },
    "WebSocketSharp/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    }
  }

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 22:26

Ne me dit pas que tu es sur Ubuntu...

Il y a bien un script d'installation différent entre ubuntu et debian voici la procédure
https://dotnet.microsoft.com/download/l ... dk-current

Et pourquoi tu es sur ubuntu ? tu as installer jeedom a la main ?

Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 11 juil. 2019, 22:35

Eli a écrit :
11 juil. 2019, 22:26
Ne me dit pas que tu es sur Ubuntu...

Il y a bien un script d'installation différent entre ubuntu et debian voici la procédure
https://dotnet.microsoft.com/download/l ... dk-current

Et pourquoi tu es sur ubuntu ? tu as installer jeedom a la main ?

Eli.
Non non je suis bien sur debian

regarde le contenu de ton fichier, c'est lui qui mentionne Ubuntu

Rezolv.JeeDore.Server.deps.json

Code : Tout sélectionner

{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v2.2/ubuntu.16.10-x64",
    "signature": "6a1e70805aad6f347e914763a70681f716900145"
  },
  "compilationOptions": {},
  
 

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 22:48

Ah, j'ai eu peur :shock:

Bon je regarde pourquoi il genere ce fichier... ce qui est étrange, ça fonctionne chez certain.

Eli.

Davv42
Timide
Messages : 16
Inscription : 12 févr. 2016, 08:37

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Davv42 » 11 juil. 2019, 23:06

Eli a écrit :
11 juil. 2019, 20:50
Davv42 a écrit :
11 juil. 2019, 20:22
Bonjour à tous,

possesseur d'un Tydom 1 dont j'hésitais à me séparer, je voudrais encourager Eli notamment dans ce développement que l'on attend depuis des années!!!
Vivement une version du plugin accessible à tous!
Petite question: pourra-t-on monitorer une alarme Tyxal+?

Cdt.
Oui c'est prévu, je vois ce sujet avec Loic74.
Je ne promets rien sur la date. J'ai consommé pas mal de temps a sortir une version pour x86/arm et les vacances arrivant...

Concernant cette fonctionnalité, je me demande, pour des raisons évidentes de sécurité, si je devrais implémenter l'activation/désactivation de l'alarme, ou faire un plugin pour ceux qui le souhaite, a méditer.

Eli.
Pour l'alarme, je pense qu'un simple monitoring des activations/désactivations (pour gérer un mode présence par exemple) et une remontée des événements et défauts (pour être alertés en temps réel) suffirait.

Bon courage pour la suite!
Dav.

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 11 juil. 2019, 23:40

MakinaPower a écrit :
11 juil. 2019, 22:35
Eli a écrit :
11 juil. 2019, 22:26
Ne me dit pas que tu es sur Ubuntu...

Il y a bien un script d'installation différent entre ubuntu et debian voici la procédure
https://dotnet.microsoft.com/download/l ... dk-current

Et pourquoi tu es sur ubuntu ? tu as installer jeedom a la main ?

Eli.
Non non je suis bien sur debian

regarde le contenu de ton fichier, c'est lui qui mentionne Ubuntu

Rezolv.JeeDore.Server.deps.json

Code : Tout sélectionner

{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v2.2/ubuntu.16.10-x64",
    "signature": "6a1e70805aad6f347e914763a70681f716900145"
  },
  "compilationOptions": {},
  
 
Dans mon script de compilation je mettais ubuntu... comme ca fonctionnait chez moi je n'ai plus prete attention... je viens de corriger en mettant linux-x64, surment plus generique.

Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 12 juil. 2019, 08:28

Eli a écrit :
11 juil. 2019, 23:40
MakinaPower a écrit :
11 juil. 2019, 22:35
Eli a écrit :
11 juil. 2019, 22:26
Ne me dit pas que tu es sur Ubuntu...

Il y a bien un script d'installation différent entre ubuntu et debian voici la procédure
https://dotnet.microsoft.com/download/l ... dk-current

Et pourquoi tu es sur ubuntu ? tu as installer jeedom a la main ?

Eli.
Non non je suis bien sur debian

regarde le contenu de ton fichier, c'est lui qui mentionne Ubuntu

Rezolv.JeeDore.Server.deps.json

Code : Tout sélectionner

{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v2.2/ubuntu.16.10-x64",
    "signature": "6a1e70805aad6f347e914763a70681f716900145"
  },
  "compilationOptions": {},
  
 
Dans mon script de compilation je mettais ubuntu... comme ca fonctionnait chez moi je n'ai plus prete attention... je viens de corriger en mettant linux-x64, surment plus generique.

Eli.
Merci ça fonctionne :)

par contre toujours pas de remonté de mes Devices ...

Du nouveau par contre coté daemon

Code : Tout sélectionner

7/12/19 8:24:52 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:24:52 AM - Sending command to DeltaDore...
7/12/19 8:24:52 AM - Error websocket
7/12/19 8:25:22 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:25:22 AM - Sending command to DeltaDore...
7/12/19 8:25:22 AM - Error websocket
7/12/19 8:25:52 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:25:52 AM - Sending command to DeltaDore...
7/12/19 8:25:52 AM - Error websocket
7/12/19 8:26:22 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:26:22 AM - Sending command to DeltaDore...
7/12/19 8:26:22 AM - Error websocket
7/12/19 8:26:52 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:26:52 AM - Sending command to DeltaDore...
7/12/19 8:26:52 AM - Error websocket
7/12/19 8:27:22 AM - Close websocket connection with code:1006 reason:'An exception has occurred while connecting.'
7/12/19 8:27:22 AM - Sending command to DeltaDore...
7/12/19 8:27:22 AM - Error websocket

systemdomotique
Timide
Messages : 71
Inscription : 04 déc. 2014, 15:45

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par systemdomotique » 12 juil. 2019, 10:57

Moi j'obtient ça au démarrage du daemon

It was not possible to find any compatible framework version
The specified framework 'Microsoft.NETCore.App', version '2.2.0' was not found.
- Check application dependencies and target a framework version installed at:
/var/www/html/plugins/jeedore/ressources/jeedoredaemon-x86/
- Installing .NET Core prerequisites might help resolve this problem:
https://go.microsoft.com/fwlink/?LinkID ... lcid=0x409
- The .NET Core framework and SDK can be installed from:
https://aka.ms/dotnet-download

Corrigé après une suppression du plugin puis réinstalle


C'est normal l'erreur webscocket dans les logs :

7/12/19 11:00:17 AM - An exception has occurred during an OnMessage event.
7/12/19 11:00:38 AM - Sending command to DeltaDore...
7/12/19 11:00:38 AM - Posting to Jeedom, command : 'getping'
7/12/19 11:00:47 AM - Error websocket
7/12/19 11:00:47 AM - Length cannot be less than zero.
Parameter name: length

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 12 juil. 2019, 11:11

@MakinaPower as tu bien mis ton adresse Mac au format 0123456789AB ? Attention à la casse

@systemdomotique as tu mis à jour ce matin ?
quel type de machine déjà ?

Il faut que je me fasse un fichier pour noter vos types de machine 😎

Eli.

systemdomotique
Timide
Messages : 71
Inscription : 04 déc. 2014, 15:45

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par systemdomotique » 12 juil. 2019, 11:19

Moi j'ai les deux.
Je viens de tester sur mon client léger en x86 et j'obtient l'erreur cité au dessus.
Je vais faire le test en arm de suite.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 12 juil. 2019, 13:06

Eli a écrit :
12 juil. 2019, 11:11
@MakinaPower as tu bien mis ton adresse Mac au format 0123456789AB ? Attention à la casse
rahhh quelle quiche ... effectivement j'ai oublié ce coup la de remettre les identifiants ....

mais ça fonctionne toujours pas ... on avance :)

Code : Tout sélectionner

[2019-07-12 13:01:29][DEBUG] : Daemon JeeDore launched
[2019-07-12 13:01:32][DEBUG] : cmd : getping
[2019-07-12 13:01:32][DEBUG] : cmd : getping
[2019-07-12 13:01:51][DEBUG] : cmd : getping
[2019-07-12 13:01:54][DEBUG] : synchronize
[2019-07-12 13:01:54][DEBUG] : Refreshing all devices...
[2019-07-12 13:01:54][DEBUG] : {"id":null,"command":"geteqlogics"}
[2019-07-12 13:01:55][DEBUG] : cmd : geteqlogic
[2019-07-12 13:01:55][DEBUG] : Get from daemon :klineShutter with id:1541792304#1541792304
[2019-07-12 13:01:55][DEBUG] : Get from daemon :klineShutter with id:1541792424#1541792424
[2019-07-12 13:01:55][DEBUG] : Get from daemon :klineShutter with id:1541792664#1541792664
[2019-07-12 13:01:55][DEBUG] : Get from daemon :klineShutter with id:1541792724#1541792724
[2019-07-12 13:01:55][DEBUG] : Get from daemon :klineShutter with id:1541792784#1541792784
[2019-07-12 13:01:57][DEBUG] : {"id":null,"command":"getcmds"}
[2019-07-12 13:01:57][DEBUG] : cmd : getcmd
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792304#1541792304
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792304#1541792304
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792304#1541792304
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792304#1541792304
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792304#1541792304
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792424#1541792424
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792424#1541792424
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792424#1541792424
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792424#1541792424
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792424#1541792424
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792664#1541792664
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792664#1541792664
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792664#1541792664
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792664#1541792664
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792664#1541792664
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792724#1541792724
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792724#1541792724
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792724#1541792724
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792724#1541792724
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792724#1541792724
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792784#1541792784
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792784#1541792784
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792784#1541792784
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792784#1541792784
[2019-07-12 13:01:57][DEBUG] : Impossible to get EqLogic to manage its commands id:1541792784#1541792784
[2019-07-12 13:01:59][DEBUG] : {"id":null,"command":"geteqdata"}
[2019-07-12 13:01:59][DEBUG] : cmd : getcmddata
[2019-07-12 13:02:01][DEBUG] : All devices has been refreshed...
[2019-07-12 13:02:21][DEBUG] : cmd : getping
[2019-07-12 13:02:51][DEBUG] : cmd : getping


doupi
Timide
Messages : 29
Inscription : 28 août 2018, 14:43

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par doupi » 12 juil. 2019, 21:49

Eli a écrit :
11 juil. 2019, 20:38
Hello,

Une mise a jour est disponible, elle corrige notamment la remontée des valeurs.
Maintenant que ca fonctionne pour tout le monde, encore un Jeedom smart/pro :-)

Eli.
Salut Eli,
Bon sur la nouvelle mise à jour le démon ne se lance plus sur mon Raspberry.
Mais maintenant, j'ai un log
A fatal error occurred, the required library libhostfxr.so could not be found.
If this is a self-contained application, that library should exist in [/var/www/html/plugins/jeedore/ressources/jeedoredaemon-arm/].
If this is a framework-dependent application, install the runtime in the default location [/usr/share/dotnet] or use the DOTNET_ROOT environment variable to specify the runtime location.
J'espère que ça pourra t'aider !

Merci pour ton travail !
Raspberry Pi 3
Xiaomi Home - Zwave - Blea

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 12 juil. 2019, 23:17

doupi a écrit :
12 juil. 2019, 21:49
Eli a écrit :
11 juil. 2019, 20:38
Hello,

Une mise a jour est disponible, elle corrige notamment la remontée des valeurs.
Maintenant que ca fonctionne pour tout le monde, encore un Jeedom smart/pro :-)

Eli.
Salut Eli,
Bon sur la nouvelle mise à jour le démon ne se lance plus sur mon Raspberry.
Mais maintenant, j'ai un log
A fatal error occurred, the required library libhostfxr.so could not be found.
If this is a self-contained application, that library should exist in [/var/www/html/plugins/jeedore/ressources/jeedoredaemon-arm/].
If this is a framework-dependent application, install the runtime in the default location [/usr/share/dotnet] or use the DOTNET_ROOT environment variable to specify the runtime location.
J'espère que ça pourra t'aider !

Merci pour ton travail !
Hello,

Est ce que tu as bien installé les dépendances ? Sinon désinstalle, réinstalle le plugin.

Eli.

Eli
Timide
Messages : 181
Inscription : 30 avr. 2019, 20:22

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par Eli » 12 juil. 2019, 23:22

MakinaPower a écrit :
12 juil. 2019, 13:06
rahhh quelle quiche ... effectivement j'ai oublié ce coup la de remettre les identifiants ....

mais ça fonctionne toujours pas ... on avance :)
Hello,

Penses tu que je devrais conserver l'authentification même après désinstallation du plugin ? Je laisse un fichier stockant ces infos. Le temps de la beta tout du moins.
Ca éviterai ce genre d'oubli un peu... comment dire ? :D

J'avais un soucis sur l'ajout de commande, je pousse une version dans la journée :D
Eli.

MakinaPower
Timide
Messages : 57
Inscription : 12 févr. 2019, 20:55

Re: [Plugin Tiers] [Sujet principal] JeeDore

Message par MakinaPower » 13 juil. 2019, 08:21

Eli a écrit :
12 juil. 2019, 23:22
MakinaPower a écrit :
12 juil. 2019, 13:06
rahhh quelle quiche ... effectivement j'ai oublié ce coup la de remettre les identifiants ....

mais ça fonctionne toujours pas ... on avance :)
Hello,

Penses tu que je devrais conserver l'authentification même après désinstallation du plugin ? Je laisse un fichier stockant ces infos. Le temps de la beta tout du moins.
Ca éviterai ce genre d'oubli un peu... comment dire ? :D

J'avais un soucis sur l'ajout de commande, je pousse une version dans la journée :D
Eli.

Salut ELI,

Pourquoi pas mais dans l'idéal il faudrait que les champs MAC address et Password soient obligatoire avant la sauvegarde de la configuration de la config mais je ne sais pas si JEEDOM le permet.

Est ce qu'il y aurait moyen d'empêcher le daemon de se lancer sans ces identifiants ?

Autre note pour plus tard (je me doute que c'est prévu) serait de faire en sorte que le champ password soit masqué par des étoiles .

Répondre

Revenir vers « [Catégorie] Protocoles domotiques »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités